{
  "name": "frontend",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "dev": "next dev --turbopack",
    "build": "next build --turbopack",
    "start": "next start",
    "lint": "next lint",
    "dev:socket": "node src/server.js --trace-warnings --no-warnings",
    "start:socket": "cross-env NODE_ENV=production node src/server.js"
  },
  "dependencies": {
    "@editorjs/code": "^2.9.4",
    "@editorjs/delimiter": "^1.4.2",
    "@editorjs/editorjs": "^2.31.0",
    "@editorjs/header": "^2.8.8",
    "@editorjs/image": "^2.10.3",
    "@editorjs/list": "^2.0.9",
    "@editorjs/paragraph": "^2.11.7",
    "@editorjs/quote": "^2.7.6",
    "@editorjs/table": "^2.4.5",
    "@next/third-parties": "^16.1.1",
    "@reduxjs/toolkit": "^2.8.2",
    "axios": "^1.10.0",
    "bcrypt": "^6.0.0",
    "cross-env": "^10.0.0",
    "framer-motion": "^12.23.0",
    "html-react-parser": "^5.2.6",
    "jsonwebtoken": "^9.0.2",
    "mongodb": "^6.17.0",
    "next": "^16.1.1",
    "react": "^19.2.3",
    "react-dom": "^19.2.3",
    "react-icons": "^5.5.0",
    "react-redux": "^9.2.0",
    "recharts": "^3.1.2",
    "redux": "^5.0.1",
    "server-only": "^0.0.1",
    "sharp": "^0.34.2",
    "socket.io": "^4.8.1",
    "socket.io-client": "^4.8.1",
    "suneditor-react": "^3.6.1",
    "uuid": "^11.1.0"
  },
  "devDependencies": {
    "@eslint/eslintrc": "^3",
    "eslint": "^9",
    "eslint-config-next": "^16.1.1"
  }
}
